package com.microservices.dss.makerspace.service;

import com.microservices.dss.makerspace.domain.vo.MakerSpaceTotalDataVo;
import com.microservices.dss.makerspace.domain.vo.TaskHeatInfoVo;
import com.microservices.dss.projects.domain.PieChartNameAndValue;

import java.util.List;
import java.util.Map;

public interface ITasksService {
    MakerSpaceTotalDataVo getTotalStatisticalData();

    int[] getTaskAdditionTrendData();

    int[] getPaperAdditionTrendData();

    List<Map<String, String>> getTaskOperLogTopN(Integer topNum);

    List<PieChartNameAndValue> getOpeningTaskStatusDistribution(Integer topNum);

    List<PieChartNameAndValue> getAllTaskCategoryDistribution();

    List<Map<String, String>> getBountyDistribution();

    List<TaskHeatInfoVo> getTaskHeatTopN(Integer topNum);

    List<Map<String, String>> getTaskModeStatisticalData();
}
